Installing Mylyn into ColdFusion Builder

Monday, July 13, 2009

To Install Mylyn Into ColdFusion Builder, which is as of this writing built on top of Eclipse 3.4, do the following: Help -- Software Updates Click "Available Software" tab Click "Add Site" and use "http://download.eclipse.org/tools/mylyn/update/e3.4" for the main Mylyn install Click "Add Site" and use "http://download.eclipse.org/tools/mylyn/update/extras/" to get the other connectors (Like the Jira and Trac connectors) Click "Install" and do the normal install process. If you've already installed Subclipse but hadn't yet installed Mylyn, you can also now select the Subclipse Mylyn Integration and it'll install, too. Don't forget: you can type "Mylyn" into the "type filter text" box to make all of this easier to "see".

6 comments:

Mike Henke said...

Adobe should step up and bundle it with CFBuilder and Flex Builder. All Eclipse packages come with Mylyn except one. They could really push the Task Focused IDE. I wonder if there are licensing issues.

Marc Esher said...

hey mike, maybe you should enter this as a bug? you never know.

same with docshare... it oughtta be in there by default; but it does present one big problem: the class name for the docshare menu contribution changes between 3.4 and 3.5. in CFEclipse, we dealt with this by providing docshare as a feature instead of integrated directly with CFEclipse. and it forces you to pick which version of eclipse you want to install it for. thus, it gets tricky.

though as long as the bolt dudes exposed their editor's context identifier, it's trivial to provide an external plugin for adding docshare support. I wrote one for FB's actionscript editor a while back, and it worked fine, but not for the Flex editor.

Mike Henke said...

Vote for Bundle Mylyn with Bolt - http://bit.ly/BhnCW

jmd said...
This comment has been removed by the author.
Jon Dowdle said...

I agree completely and you have my vote on that bug.

charlie griefer said...

Voted. Thanks for submitting it.